Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 88)
@@ -64,6 +64,139 @@
             UnknownError = 99,
         }
 
+        #region 表示カラム
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum ColumnName
+        {
+            /// <summary>
+            /// 行番号
+            /// </summary>
+            No = 0,
+
+            /// <summary>
+            /// 分類
+            /// </summary>
+            DgvKind,
+
+            /// <summary>
+            /// 工事番号
+            /// </summary>
+            ConstructionCode,
+
+            /// <summary>
+            /// 工事種類
+            /// </summary>
+            ConstructionType,
+
+            /// <summary>
+            /// 工事名
+            /// </summary>
+            ConstructionName,
+
+            /// <summary>
+            /// 工事金額
+            /// </summary>
+            ConstructionAmount,
+
+            /// <summary>
+            /// 見出し
+            /// </summary>
+            Heading,
+
+            /// <summary>
+            /// 合計
+            /// </summary>
+            Sum,
+
+            /// <summary>
+            /// 1回目
+            /// </summary>
+            Request01,
+
+            /// <summary>
+            /// 2回目
+            /// </summary>
+            Request02,
+
+            /// <summary>
+            /// 3回目
+            /// </summary>
+            Request03,
+
+            /// <summary>
+            /// 4回目
+            /// </summary>
+            Request04,
+
+            /// <summary>
+            /// 5回目
+            /// </summary>
+            Request05,
+
+            /// <summary>
+            /// 6回目
+            /// </summary>
+            Request06,
+
+            /// <summary>
+            /// 7回目
+            /// </summary>
+            Request07,
+
+            /// <summary>
+            /// 8回目
+            /// </summary>
+            Request08,
+
+            /// <summary>
+            /// 9回目
+            /// </summary>
+            Request09,
+
+            /// <summary>
+            /// 10回目
+            /// </summary>
+            Request10,
+
+            /// <summary>
+            /// 11回目
+            /// </summary>
+            Request11,
+
+            /// <summary>
+            /// 12回目
+            /// </summary>
+            Request12,
+
+            /// <summary>
+            /// 13回目
+            /// </summary>
+            Request13,
+
+            /// <summary>
+            /// 14回目
+            /// </summary>
+            Request14,
+
+            /// <summary>
+            /// 15回目
+            /// </summary>
+            Request15,
+
+            /// <summary>
+            /// 残り
+            /// </summary>
+            Balance,
+
+            /// <summary>
+            /// コメント
+            /// </summary>
+            Comment
+        }
+        #endregion
+
     #endregion
 
         #region 変数
@@ -152,7 +285,7 @@
         private int m_nMaxRowNo = 0;                            // 最大行数
 
         private int m_nOldRequestMonth = 0;                     // 起動時請求年月
-        private int m_nOldRequestAmount = 0;                    // 起動時請求金額
+        private long m_lOldRequestAmount = 0;                    // 起動時請求金額
 
 
         public RequestData m_RequestData = new RequestData();
@@ -180,7 +313,8 @@
                 dgv1.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
 
 
-                for (int i = 9; i < dgv1.ColumnCount - 2; i++)
+                for (int i = (int)ColumnName.Request02; i < (int)ColumnName.Balance; i++)
+
                 {
                     dgv1.Columns[i].Visible = false;
                 }
@@ -216,25 +350,25 @@
         /// </summary>
         private int Createheader(DataGridView dgv)
         {
-            string[] title = new string[]{ "請求月", "承認状態", "請求合計", "請求金額", "消費税", "未入金分" };
+            string[] title = new string[] { "請求月", "承認状態", "請求合計", "請求金額", "消費税", "未入金分" };
+            int rowsNum = title.Count();
+            dgv.Rows.Add(rowsNum);
 
-            dgv.Rows.Add(6);
-
-            for (int i = 0; i < 6; i++)
+            for (int i = 0; i < rowsNum; i++)
             {
                 dgv.Rows[i].DefaultCellStyle.BackColor = Color.Yellow;
                 dgv.Rows[i].Frozen = true;
 
-                dgv[0, i].Value = i.ToString();
-                dgv[1, i].Value = ((int)dgvKind.Header).ToString();
-                dgv[6, i].Value = title[i];
+                dgv[(int)ColumnName.No, i].Value = i.ToString();
+                dgv[(int)ColumnName.DgvKind, i].Value = ((int)dgvKind.Header).ToString();
+                dgv[(int)ColumnName.Heading, i].Value = title[i];
             }
 
-            dgv[3, 0].Value = "請求工事";
+            dgv[(int)ColumnName.ConstructionType, 0].Value = "請求工事";
 
             dgv.ClearSelection();
 
-            return 6;
+            return rowsNum;
         }
         #endregion
 
@@ -254,17 +388,17 @@
                     {
                         dgv.Rows[cnt].DefaultCellStyle.BackColor = Color.LightBlue;
                     }
-                    dgv[0, cnt].Value = cnt.ToString();
+                    dgv[(int)ColumnName.No, cnt].Value = cnt.ToString();
 
-                    dgv[6, cnt].Style.ForeColor = Color.DarkGray;
+                    dgv[(int)ColumnName.Heading, cnt].Style.ForeColor = Color.DarkGray;
                     if (j == 0)
                     {
-                        dgv[6, cnt].Value = "請求金額";
+                        dgv[(int)ColumnName.Heading, cnt].Value = "請求金額";
 
                     }
                     else
                     {
-                        dgv[6, cnt].Value = "消費税";
+                        dgv[(int)ColumnName.Heading, cnt].Value = "消費税";
                     }
 
                     if (cnt > 13)
@@ -286,17 +420,17 @@
         /// </summary>
         private int CreateFooter(DataGridView dgv, int cnt)
         {
-            dgv.Rows.Add(4);
-
             string[] title = { "入金日", "入金金額", "差額", "入金確認" };
+            int rowsNum = title.Count();
+            dgv.Rows.Add(rowsNum);
 
-            for (int i = 0; i < 4; i++)
+            for (int i = 0; i < rowsNum; i++)
             {
                 dgv.Rows[cnt].DefaultCellStyle.BackColor = Color.Yellow;
 
-                dgv[0, cnt].Value = cnt.ToString();
-                dgv[1, cnt].Value = ((int)dgvKind.Footer).ToString();
-                dgv[6, cnt].Value = title[i];
+                dgv[(int)ColumnName.No, cnt].Value = cnt.ToString();
+                dgv[(int)ColumnName.DgvKind, cnt].Value = ((int)dgvKind.Footer).ToString();
+                dgv[(int)ColumnName.Heading, cnt].Value = title[i];
 
                 cnt++;
             }
@@ -327,14 +461,14 @@
         private void setOrderTotal(int nOrderNo)
         {
             int i;
-            int tcol = nOrderNo + 7;
-            int nPrice = 0;
-            int nTax = 0;
-            int val;
+            int tcol = nOrderNo + (int)ColumnName.Sum;
+            long lPrice = 0;
+            long lTax = 0;
+            long val;
 
             for (i = 6; i <= m_nMaxRowNo; i += 2)
             {
-                if (dgv1[2, i].Value == null)
+                if (dgv1[(int)ColumnName.ConstructionCode, i].Value == null)
                 {
                     break;
                 }
@@ -342,21 +476,21 @@
                 // 請求金額
                 if (dgv1[tcol, i].Value != null)
                 {
-                    val = CommonMotions.cnvInt(dgv1[tcol, i].Value.ToString());
-                    nPrice += val;
+                    val = CommonMotions.cnvLong(dgv1[tcol, i].Value.ToString());
+                    lPrice += val;
                 }
 
                 // 消費税
                 if (dgv1[tcol, i + 1].Value != null)
                 {
-                    val = CommonMotions.cnvInt(dgv1[tcol, i + 1].Value.ToString());
-                    nTax += val;
+                    val = CommonMotions.cnvLong(dgv1[tcol, i + 1].Value.ToString());
+                    lTax += val;
                 }
             }
 
-            setAmount(tcol, 2, nPrice + nTax);
-            setAmount(tcol, 3, nPrice);
-            setAmount(tcol, 4, nTax);
+            setAmount(tcol, 2, lPrice + lTax);
+            setAmount(tcol, 3, lPrice);
+            setAmount(tcol, 4, lTax);
 
             return;
         }
@@ -379,7 +513,7 @@
             // 工事一覧の残りを設定
             for (i = 6; i < 29; i += 2)
             {
-                if (dgv1[2, i].Value == null)
+                if (dgv1[(int)ColumnName.ConstructionCode, i].Value == null)
                 {
                     break;
                 }
@@ -397,14 +531,14 @@
         /// </summary>
         private void calcBalance(int trow)
         {
-            int nPrice = 0;
-            int nPayment = 0;
-            int tcol = dgv1.Columns.Count - 2;
+            long lPrice = 0;
+            long lPayment = 0;
+            int tcol = (int)ColumnName.Balance;
 
-            nPrice = CommonMotions.cnvInt(dgv1[5, trow].Value);
-            nPayment = CommonMotions.cnvInt(dgv1[7, trow].Value);
+            lPrice = CommonMotions.cnvLong(dgv1[(int)ColumnName.ConstructionAmount, trow].Value);
+            lPayment = CommonMotions.cnvLong(dgv1[(int)ColumnName.Sum, trow].Value);
 
-            setAmount(tcol, trow, nPrice - nPayment);
+            setAmount(tcol, trow, lPrice - lPayment);
         }
         #endregion
 
@@ -425,7 +559,7 @@
             // 工事一覧の合計を設定
             for (i = 6; i < 29; i += 2)
             {
-                if (dgv1[2, i].Value == null)
+                if (dgv1[(int)ColumnName.ConstructionCode, i].Value == null)
                 {
                     break;
                 }
@@ -443,11 +577,11 @@
         /// </summary>
         private void calcTotal(int trow)
         {
-            int tcol = 7;
-            int nPrice = 0;
+            int tcol = (int)ColumnName.Sum;
+            long lPrice = 0;
 
-            nPrice = GetTotalPrice(trow);
-            setAmount(tcol, trow, nPrice);
+            lPrice = GetTotalPrice(trow);
+            setAmount(tcol, trow, lPrice);
         }
         #endregion
 
@@ -455,16 +589,16 @@
         /// <summary>
         /// 合計金額の取得
         /// </summary>
-        private int GetTotalPrice(int trow)
+        private long GetTotalPrice(int trow)
         {
-            int val = 0;
-            int total = 0;
+            long val = 0;
+            long total = 0;
 
-            for (int i = 8; i < dgv1.Columns.Count - 2; i++)
+            for (int i = (int)ColumnName.Request01; i < (int)ColumnName.Balance; i++)
             {
                 if (dgv1[i, trow].Value != null)
                 {
-                    val = CommonMotions.cnvInt(dgv1[i, trow].Value.ToString());
+                    val = CommonMotions.cnvLong(dgv1[i, trow].Value.ToString());
                 }
                 else
                 {
@@ -481,7 +615,7 @@
         /// <summary>
         /// 金額の設定
         /// </summary>
-        private void setAmount(int tcol, int trow, int amount)
+        private void setAmount(int tcol, int trow, long amount)
         {
             dgv1[tcol, trow].Value = amount.ToString("#,0");
 
@@ -656,8 +790,10 @@
         #endregion
 
         #region 承認チェック
-
-        private int CheckProcessApproval(ref List<int> lstMainConstructionCode)
+        /// <summary>
+        /// 承認チェック
+        /// </summary>
+        private int CheckApproval(ref List<int> lstMainConstructionCode)
         {
             IOConstructionProgressDate ioProg = new IOConstructionProgressDate();
 
@@ -702,7 +838,7 @@
                         return (int)CheckResult.ErrorStatus;
                     }
 
-                    nBalance = CommonMotions.cnvInt(dgv1[dgv1.ColumnCount-1, 2].Value); 
+                    nBalance = CommonMotions.cnvInt(dgv1[(int)ColumnName.Balance, 2].Value); 
                     // 請求残が存在する場合
                     if( nBalance > 0 )
                     {
@@ -710,7 +846,7 @@
                     }
                 }
 
-                nBalance = CommonMotions.cnvInt(dgv1[dgv1.ColumnCount - 1, 2].Value);
+                nBalance = CommonMotions.cnvInt(dgv1[(int)ColumnName.Balance, 2].Value);
                 // 請求残がマイナスの場合
                 if( nBalance < 0 )
                 {
@@ -734,6 +870,9 @@
         #endregion
 
         #region エラー表示セット
+        /// <summary>
+        /// エラー表示セット
+        /// </summary>
         private void SetErrorIndicate( List<int>lstErrorConstructionCode)
         {
             foreach( int nMainConstrucitionCode in lstErrorConstructionCode)
@@ -740,10 +879,10 @@
             {
                 for (int i = 6; i <= m_nMaxRowNo; i += 2)
                 {
-                    int nConstructionCode = int.Parse(dgv1[2, i].Value.ToString());
+                    int nConstructionCode = int.Parse(dgv1[(int)ColumnName.ConstructionCode, i].Value.ToString());
                     if (nConstructionCode == nMainConstrucitionCode)
                     {
-                        dgv1[4, i].Style.BackColor = Color.Red;
+                        dgv1[(int)ColumnName.ConstructionName, i].Style.BackColor = Color.Red;
 
                         break;
                     }
@@ -755,6 +894,9 @@
         #endregion
 
         #region エラー表示クリア
+        /// <summary>
+        /// エラー表示クリア
+        /// </summary>
         private void ClearErrorIndicate()
         {
             int nColor = 0;
@@ -763,13 +905,13 @@
             {
                 if ( nColor == 0)
                 {
-                    dgv1[4, i].Style.BackColor = Color.White;
+                    dgv1[(int)ColumnName.ConstructionName, i].Style.BackColor = Color.White;
 
                     nColor = 1;
                 }
                 else
                 {
-                    dgv1[4, i].Style.BackColor = Color.LightBlue;
+                    dgv1[(int)ColumnName.ConstructionName, i].Style.BackColor = Color.LightBlue;
 
                     nColor = 0;
                 }
@@ -784,6 +926,9 @@
         #region データ取得関連メソッド
 
         #region 表示データの取得
+        /// <summary>
+        /// 表示データの取得
+        /// </summary>
         private void GetRequestDispData()
         {
             // 請求ヘッダの取得
@@ -801,7 +946,7 @@
 
                 // 請求年月と請求金額合計を退避（詳細台帳反映用）
                 m_nOldRequestMonth = ReqHead.RequestMonth;
-                m_nOldRequestAmount = ReqHead.RequestAmount;
+                m_lOldRequestAmount = ReqHead.RequestAmount;
 
                 // 請求データと請求明細の取得
                 GetRequestDataAndDetail(ReqHead.RequestNo);
@@ -834,6 +979,9 @@
         #endregion
 
         #region 工事文字列の追加
+        /// <summary>
+        /// 工事文字列の追加
+        /// </summary>
         private void AddConstructionString(int key, string str)
         {
             string wk;
@@ -848,6 +996,9 @@
         #endregion
 
         #region 工事基本情報の追加
+        /// <summary>
+        /// 工事基本情報の追加
+        /// </summary>
         private void AddConstructionBaseInfo(int key, ConstructionBaseInfo info)
         {
             ConstructionBaseInfo wk;
@@ -862,6 +1013,9 @@
         #endregion
 
         #region 請求ヘッダの取得
+        /// <summary>
+        /// 請求ヘッダの取得
+        /// </summary>
         private void GetRequestHead()
         {
             IORequestHead ioReqHead = new IORequestHead();
@@ -974,6 +1128,9 @@
         #endregion
 
         #region 請求データ、明細の取得
+        /// <summary>
+        /// 請求データ、明細の取得
+        /// </summary>
         private void GetRequestDataAndDetail(int nRequestNo)
         {
             string sql = "";
@@ -1143,6 +1300,9 @@
         #endregion
 
         #region 入金データ取得
+        /// <summary>
+        /// 入金データ取得
+        /// </summary>
         private void GetDepositData()
         {
             for (int i = 0; i < m_lstRequestHead.Count; i++)
@@ -1184,6 +1344,9 @@
         #endregion
 
         #region 請求データの生成
+        /// <summary>
+        /// 請求データの生成
+        /// </summary>
         private void CreateRequest()
         {
             // 最大受付番号加算
@@ -1201,6 +1364,9 @@
         #endregion
 
         #region 請求ヘッダの生成
+        /// <summary>
+        /// 請求ヘッダの生成
+        /// </summary>
         private void CreateRequestHead(int nOrderNo)
         {
             RequestHead ReqHead = new RequestHead();
@@ -1240,6 +1406,9 @@
         #endregion
 
         #region 請求データの生成
+        /// <summary>
+        /// 請求データの生成
+        /// </summary>
         private void CreateRequestData()
         {
             List<int> lstConstructionCode = new List<int>();
@@ -1287,6 +1456,9 @@
         #endregion
 
         #region 請求データ明細の生成
+        /// <summary>
+        /// 請求データ明細の生成
+        /// </summary>
         private void CreateRequestDataDetail()
         {
             RequestDataDetail data;
@@ -1353,6 +1525,9 @@
         #region 設定系メソッド
 
         #region 表示データの設定
+        /// <summary>
+        /// 表示データの設定
+        /// </summary>
         private void SetRequestDispData()
         {
             this.dgv1.CellBeginEdit -= dgv1_CellBeginEdit;
@@ -1373,10 +1548,10 @@
             lblReqOrder.Text = string.Format("{0}回目", m_nMaxOrderNo);
 
             // 請求件名
-            dgv1[4, 0].Value = ReqHead.ReqConstructionName.Trim();
+            dgv1[(int)ColumnName.ConstructionName, 0].Value = ReqHead.ReqConstructionName.Trim();
 
-            dgv1[4, 0].ReadOnly = (m_bEdit == true ? (false) : (true));                // 請求件名は編集可能
-            dgv1[2, 0].Value = m_ConstructionCode.ToString();
+            dgv1[(int)ColumnName.ConstructionName, 0].ReadOnly = (m_bEdit == true ? (false) : (true));                // 請求件名は編集可能
+            dgv1[(int)ColumnName.ConstructionCode, 0].Value = m_ConstructionCode.ToString();
 
             // ボディ部の設定
             SetRequestDispDataBody();
@@ -1399,42 +1574,45 @@
         #endregion
 
         #region ヘッダ部の設定
+        /// <summary>
+        /// ヘッダ部の設定
+        /// </summary>
         private void SetRequestDispDataHead()
         {
-            int tcol = 5;
+            int tcol = (int)ColumnName.ConstructionAmount;
             int trow = 6;
 
-            int nAmount = 0;
-            int nPriceTotal = 0;
-            int nTaxTotal = 0;
+            long lAmount = 0;
+            long lPriceTotal = 0;
+            long lTaxTotal = 0;
 
             while (true)
             {
-                if (dgv1[2, trow].Value == null)
+                if (dgv1[(int)ColumnName.ConstructionCode, trow].Value == null)
                 {
                     break;
                 }
 
-                nAmount = CommonMotions.cnvInt(dgv1[tcol, trow].Value);
-                nPriceTotal += nAmount;
+                lAmount = CommonMotions.cnvLong(dgv1[tcol, trow].Value);
+                lPriceTotal += lAmount;
 
-                nAmount = CommonMotions.cnvInt(dgv1[tcol, trow+1].Value);
-                nTaxTotal += nAmount;
+                lAmount = CommonMotions.cnvLong(dgv1[tcol, trow+1].Value);
+                lTaxTotal += lAmount;
 
                 trow += 2;
             }
 
-            setAmount(tcol, 2, nPriceTotal + nTaxTotal);
-            setAmount(tcol, 3, nPriceTotal);
-            setAmount(tcol, 4, nTaxTotal);
+            setAmount(tcol, 2, lPriceTotal + lTaxTotal);
+            setAmount(tcol, 3, lPriceTotal);
+            setAmount(tcol, 4, lTaxTotal);
 
 
             for (int i = 0; i < m_nMaxOrderNo; i++)
             {
-                trow = 6 ; 
-                tcol = 8+i;
-                nPriceTotal = 0;
-                nTaxTotal = 0;
+                trow = 6 ;
+                tcol = (int)ColumnName.Request01 + i;
+                lPriceTotal = 0;
+                lTaxTotal = 0;
 
                 int nState = m_lstOrderState[i];
 
@@ -1450,16 +1628,16 @@
 
                 while (true)
                 {
-                    if (dgv1[2, trow].Value == null)
+                    if (dgv1[(int)ColumnName.ConstructionCode, trow].Value == null)
                     {
                         break;
                     }
 
-                    nAmount = CommonMotions.cnvInt(dgv1[tcol, trow].Value);
-                    nPriceTotal += nAmount;
+                    lAmount = CommonMotions.cnvLong(dgv1[tcol, trow].Value);
+                    lPriceTotal += lAmount;
 
-                    nAmount = CommonMotions.cnvInt(dgv1[tcol, trow + 1].Value);
-                    nTaxTotal += nAmount;
+                    lAmount = CommonMotions.cnvLong(dgv1[tcol, trow + 1].Value);
+                    lTaxTotal += lAmount;
 
                     // 承認が最終承認済ではない場合
                     if (nState != (int)ApprovalState.End)
@@ -1471,9 +1649,9 @@
                     trow += 2;
                 }
 
-                setAmount(tcol, 2, nPriceTotal + nTaxTotal);
-                setAmount(tcol, 3, nPriceTotal);
-                setAmount(tcol, 4, nTaxTotal);                
+                setAmount(tcol, 2, lPriceTotal + lTaxTotal);
+                setAmount(tcol, 3, lPriceTotal);
+                setAmount(tcol, 4, lTaxTotal);                
 
             }
         }
@@ -1480,10 +1658,13 @@
         #endregion
 
         #region ボディ部の設定
+        /// <summary>
+        /// ボディ部の設定
+        /// </summary>
         private void SetRequestDispDataBody()
         {
             int trow = 6;
-            int nAmount;
+            long lAmount;
 
             Dictionary<int, RequestData> dicData = m_lstRequestData[m_nMaxOrderNo - 1];
             Dictionary<int, List<RequestDataDetail>> dicDetail = m_lstRequestDataDetail[m_nMaxOrderNo - 1];
@@ -1517,12 +1698,12 @@
                     if (ReqDetail.ConstructionKind == 0)
                     {
                         // 工事件名は、請求データから（編集可）
-                        dgv1[4, trow].Value = ReqData.ConstructionName;
-                        dgv1[4, trow].ReadOnly = false;
-                        dgv1[3, trow].Value = "本工事";
-                        dgv1[1, trow].Value = ((int)dgvKind.BodyMainConstruction).ToString();
-                        dgv1[dgv1.ColumnCount - 1, trow].Value = ReqData.Note;
-                        dgv1[dgv1.ColumnCount - 1, trow].ReadOnly = (m_bEdit == true ? (false) : (true));
+                        dgv1[(int)ColumnName.ConstructionName, trow].Value = ReqData.ConstructionName;
+                        dgv1[(int)ColumnName.ConstructionName, trow].ReadOnly = false;
+                        dgv1[(int)ColumnName.ConstructionType, trow].Value = "本工事";
+                        dgv1[(int)ColumnName.DgvKind, trow].Value = ((int)dgvKind.BodyMainConstruction).ToString();
+                        dgv1[(int)ColumnName.Comment, trow].Value = ReqData.Note;
+                        dgv1[(int)ColumnName.Comment, trow].ReadOnly = (m_bEdit == true ? (false) : (true));
 
                     }
                     else
@@ -1531,18 +1712,18 @@
 
                         // 工事件名は、退避した工事件名から（編集不可）
                         m_dicConstructionName.TryGetValue(ReqDetail.ConstructionCode, out str);
-                        dgv1[4, trow].Value = str;
-                        dgv1[3, trow].Value = "増減工事";
-                        dgv1[1, trow].Value = ((int)dgvKind.BodySubConstruction).ToString();
+                        dgv1[(int)ColumnName.ConstructionName, trow].Value = str;
+                        dgv1[(int)ColumnName.ConstructionType, trow].Value = "増減工事";
+                        dgv1[(int)ColumnName.DgvKind, trow].Value = ((int)dgvKind.BodySubConstruction).ToString();
                     }
 
-                    dgv1[2,trow].Value = ReqDetail.ConstructionCode;
-                    dgv1[6, trow].Value = "請求金額";
-                    dgv1[6, trow + 1].Value = "消費税";
-                    dgv1[1, trow + 1].Value = ((int)dgvKind.Body).ToString();
+                    dgv1[(int)ColumnName.ConstructionCode, trow].Value = ReqDetail.ConstructionCode;
+                    dgv1[(int)ColumnName.Heading, trow].Value = "請求金額";
+                    dgv1[(int)ColumnName.Heading, trow + 1].Value = "消費税";
+                    dgv1[(int)ColumnName.DgvKind, trow + 1].Value = ((int)dgvKind.Body).ToString();
 
-                    dgv1[6, trow].Style.ForeColor = Color.Black;
-                    dgv1[6, trow+1].Style.ForeColor = Color.Black;
+                    dgv1[(int)ColumnName.Heading, trow].Style.ForeColor = Color.Black;
+                    dgv1[(int)ColumnName.Heading, trow + 1].Style.ForeColor = Color.Black;
 
                     if (trow > 13)
                     {
@@ -1551,12 +1732,12 @@
                     }
 
                     // 税抜受注決定金額
-                    nAmount = CommonMotions.IntRoundDown(inf.OrdersDecisionPrice, 0);
-                    setAmount(5, trow, nAmount);
+                    lAmount = (long)inf.OrdersDecisionPrice;
+                    setAmount((int)ColumnName.ConstructionAmount, trow, lAmount);
 
                     // 消費税
-                    nAmount = CommonMotions.IntRoundDown(inf.OrdersDecisionPriceInTax - inf.OrdersDecisionPrice, 0);
-                    setAmount(5, trow + 1, nAmount);
+                    lAmount = (long)inf.OrdersDecisionPriceInTax - (long)inf.OrdersDecisionPrice;
+                    setAmount((int)ColumnName.ConstructionAmount, trow + 1, lAmount);
 
                     m_nMaxRowNo = trow + 1;
 
@@ -1568,6 +1749,9 @@
         #endregion
 
         #region フッタ部の設定
+        /// <summary>
+        /// フッタ部の設定
+        /// </summary>
         private void SetRequestDispDataFooter()
         {
             int i;
@@ -1574,13 +1758,13 @@
 
             int trow = 30;
 
-            int nTotalAmount = 0;
-            int nDepositAmount = 0;
-            int nGapAmount = 0;
+            long lTotalAmount = 0;
+            long lDepositAmount = 0;
+            long lGapAmount = 0;
 
             for (i = 0; i < m_lstRequestHead.Count; i++)
             {
-                int tcol = i + 8;
+                int tcol = i + (int)ColumnName.Request01;
 
                 DepositDataDetail DepDetail = m_lstDepDataDetail[i];
                 RequestHead ReqHead = m_lstRequestHead[i];
@@ -1594,8 +1778,8 @@
                 dgv1[tcol, trow].Value = m_lstDepositDate[i].ToString("yyyy/MM/dd");
                 dgv1[tcol, trow].Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
 
-                nDepositAmount += DepDetail.DepositAmount;
-                nGapAmount += (DepDetail.DepositAmount - ReqHead.RequestTotalAmount);
+                lDepositAmount += DepDetail.DepositAmount;
+                lGapAmount += (DepDetail.DepositAmount - ReqHead.RequestTotalAmount);
 
                 setAmount(tcol, trow + 1, DepDetail.DepositAmount);
                 setAmount(tcol, trow + 2, DepDetail.DepositAmount - ReqHead.RequestTotalAmount);
@@ -1607,21 +1791,21 @@
                 }
             }
 
-            setAmount(7, trow + 1, nDepositAmount);
-            setAmount(7, trow + 2, nGapAmount);
+            setAmount((int)ColumnName.Sum, trow + 1, lDepositAmount);
+            setAmount((int)ColumnName.Sum, trow + 2, lGapAmount);
 
-            nTotalAmount = GetTotalRequestAmount();
-            setAmount(dgv1.ColumnCount - 2, trow + 1, nTotalAmount - nDepositAmount);
-            setAmount(dgv1.ColumnCount - 2, trow + 2, -nGapAmount);
+            lTotalAmount = GetTotalRequestAmount();
+            setAmount((int)ColumnName.Balance, trow + 1, lTotalAmount - lDepositAmount);
+            setAmount((int)ColumnName.Balance, trow + 2, -lGapAmount);
 
         }
         #endregion
 
         #region 請求金額合計の取得
-        private int GetTotalRequestAmount()
+        private long GetTotalRequestAmount()
         {
             int i;
-            int RequestAmount = 0;
+            long RequestAmount = 0;
 
             for (i = 0; i < m_nMaxOrderNo; i++)
             {
@@ -1638,12 +1822,15 @@
         #endregion
 
         #region 請求回目のデータ設定
+        /// <summary>
+        /// 請求回目のデータ設定
+        /// </summary>
         private void SetRequestDispDataOrder()
         {
 
             for (int i = 0; i < m_nMaxOrderNo; i++)
             {
-                int tcol = i + 8;
+                int tcol = i + (int)ColumnName.Request01;
                 int trow = 6;
                 int nState = (int)ApprovalState.Entry;
 
@@ -1671,12 +1858,12 @@
                 m_lstOrderState.Add(nState);
 
                 while(true){
-                    if (dgv1[2, trow].Value == null)
+                    if (dgv1[(int)ColumnName.ConstructionCode, trow].Value == null)
                     {
                         break;
                     }
 
-                    string str = dgv1[2, trow].Value.ToString();
+                    string str = dgv1[(int)ColumnName.ConstructionCode, trow].Value.ToString();
 
                     int key = int.Parse(str);
 
@@ -1710,11 +1897,14 @@
         #endregion
 
         #region 請求月および申請状況の設定
+        /// <summary>
+        /// 請求月および申請状況の設定
+        /// </summary>
         private void SetRequestMonthAndApprovalState(int nOrderNo, int nRequestMonth, int nState)
         {
             string[] StateString = new string[] { "入力中", "申請中", "承認中", "保留", "不承認", "承認済" };
 
-            int tcol = nOrderNo + 7;
+            int tcol = nOrderNo + (int)ColumnName.Sum;
 
             if (nState == (int)ApprovalState.Entry)
             {
@@ -1740,6 +1930,9 @@
         #endregion
 
         #region 請求月コンボの設定
+        /// <summary>
+        /// 請求月コンボの設定
+        /// </summary>
         private void SetRequestMonth()
         {
             int yyyymm;
@@ -1830,6 +2023,9 @@
         #endregion
 
         #region 申請状態の取得
+        /// <summary>
+        /// 申請状態の取得
+        /// </summary>
         private int GetApprovalState(int nConstructionCode, int nOrderNo)
         {
             int nState = (int)ApprovalState.Entry;
@@ -1905,6 +2101,9 @@
         #endregion
 
         #region [回数追加]ボタンの有効無効判定
+        /// <summary>
+        /// [回数追加]ボタンの有効無効判定
+        /// </summary>
         private bool GetbtnAddEnabled()
         {
             // 編集可能でない場合
@@ -1937,6 +2136,9 @@
         #endregion
 
         #region 数値編集可能セル判定
+        /// <summary>
+        /// 数値編集可能セル判定
+        /// </summary>
         private bool isEditNumCell(int tcol, int trow)
         {
 
@@ -1943,7 +2145,7 @@
             bool ret = false;
 
             // 編集回目であることかつ未入金分～最大工事の消費税まで
-            if ((tcol == m_nMaxOrderNo + 7)&&((trow >= 6 )&&( trow <=  m_nMaxRowNo )))
+            if ((tcol == m_nMaxOrderNo + (int)ColumnName.Sum) && ((trow >= 6) && (trow <= m_nMaxRowNo)))
             {
                 return true;
             }
